API စာရွက်စာတမ်း
အခြေခံအဆောက်အအုံ၏ Uncensored Intelligence
Uncensored AI API- ငြင်းပယ်မှုမရှိ၊ filter မရှိသော Shannon model များကို ကျွန်ုပ်တို့၏ ကိုယ်ပိုင် GPU များမှ ပံ့ပိုးပါသည်။ OpenAI နှင့် Anthropic တို့နှင့် compatible ဖြစ်သည် — သင်အသုံးပြုနေပြီးသော SDK ကို တိုက်ရိုက်ထည့်သုံးပါ။ endpoint တိုင်းတွင် key တစ်ခု၊ streaming၊ tool calling နှင့် reasoning ပါဝင်ပါသည်။
- 22 uncensored model များ
- 256K context window
- စတင်ဈေး $0.50/1M
- 3 compatible API များ
- 3 ကွန်ရက်များ- TLS၊ Tor၊ I2P
တည်ဆောက်ရန် စတင်ပါ Playground စမ်းကြည့်ရန်
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-3",
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-3',
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-3",
Messages: []openai.ChatCompletionMessage{
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-3",
"messages": [
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' Model များနှင့် ဈေးနှုန်း 1M TOKENS လျှင်
ကန့်သတ်ချက်များ၊ id များနှင့် ဈေးနှုန်းသတ်မှတ်ပုံHosted open-weight models id တိုင်းတွင် 262,144-token context ရှိသည်။ input နှင့် output ကို သီးခြားတွက်ချက်သည်။ id တစ်ခုစီသည် ၎င်းအတုယူထားသော model လက်ခံသည့်အရာကို လက်ခံသည်
- Uncensored
DeepSeek-V4-Pro-0813
3BIT-REAPDeepSeek · 1.6T MoE · 49B active
နက်ရှိုင်းသော reasoning နှင့် ရှည်လျားသော output အတွက် flagship အရွယ်အစား model။
Model idDeepSeek-V4-Pro-0813-3BIT-REAP- Context
- 256K
- Input
- စာသား ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $1.95 / $0.488 / $3.90
- Uncensored
GLM-5.2
3BIT-REAPZ.ai · 744B MoE · 40B active
ဘာသာစကားစုံ output ကောင်းမွန်သော အစွမ်းထက်သည့် ယေဘုယျသုံး model။
Model idGLM-5.2-3BIT-REAP- Context
- 256K
- Input
- စာသား ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $0.73 / $0.183 / $2.34
- Uncensored
Kimi-K3
3BIT-REAPMoonshot AI · 2.8T MoE · 104B active
စေ့စပ်ပြီး အသေးစိတ်ကျသော အဖြေများအတွက် ချိန်ညှိထားသည့် အဆင့်မြင့် model။
Model idKimi-K3-3BIT-REAP- Context
- 256K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $3.83 / $0.958 / $19.12
- Uncensored
Nemotron3Ultra
3BIT-REAPNVIDIA · 550B hybrid Mamba-Attention MoE · 55B active
ဒေါ်လာတစ်ခုလျှင် reasoning ပြင်းထန်သော ထိရောက်သည့် ကြီးမားသော model။
Model idNemotron3Ultra-3BIT-REAP- Context
- 256K
- Input
- စာသား ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $0.75 / $0.188 / $3.30
- Uncensored
MiniMax-M3
3BIT-REAPMiniMax · 428B MoE · 23B active · sparse attention
ပမာဏများသော workload များအတွက် မြန်ဆန်ပြီး ဈေးသက်သာသော model။
Model idMiniMax-M3-3BIT-REAP- Context
- 256K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $0.50 / $0.125 / $2.00
- Uncensored
DeepSeek-V4-Flash-0731
W4A16-AUTOROUND-REAPDeepSeek · 284B MoE · 13B active
အမြန်နှုန်းနှင့် အရည်အသွေး ဟန်ချက်ညီသော မြန်ဆန်သည့် DeepSeek model။
Model idDeepSeek-V4-Flash-0731-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- စာသား ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $0.50 / $0.125 / $2.00
- Uncensored
Kimi-K2.6
W4A16-AUTOROUND-REAPMoonshot AI · 1T MoE · 32B active
နေ့စဉ် reasoning နှင့် မူကြမ်းရေးရန် စွမ်းဆောင်ရည်ကောင်းသော model။
Model idKimi-K2.6-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $0.78 / $0.195 / $3.67
- Uncensored
Laguna-S-2.1
W4A16-AUTOROUND-REAPPoolside · 118B MoE · 8B active
ပေါ့ပါးသော လုပ်ငန်းများအတွက် ဈေးအလွန်သက်သာသော model။
Model idLaguna-S-2.1-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- စာသား ထည့်သွင်းနိုင်သည်
- Structured output
- Structured output မရှိ
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $0.50 / $0.125 / $2.00
- Uncensored
inkling
W4A16-AUTOROUND-REAPThinking Machines · 975B MoE · 41B active
ထူးခြားသော ရေးသားပုံစံရှိသည့် ဖန်တီးမှုဆိုင်ရာ model။
Model idinkling-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON object
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $1.42 / $0.355 / $6.07
- Uncensored
MiMo-V2.5-Pro
W8A16Xiaomi · 1.02T MoE · 42B active · 8-bit
တိကျပြီး ဖွဲ့စည်းပုံရှိသော output အတွက် ကျစ်လစ်သည့် pro model။
Model idMiMo-V2.5-Pro-W8A16- Context
- 256K
- Input
- စာသား ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $0.50 / $0.125 / $2.00
- Uncensored
MiMo-V2.5
W8A16Xiaomi · 8-bit multimodal · W8A16
ရိုးရှင်းသော လုပ်ငန်းများအတွက် ကုန်ကျစရိတ်အနည်းဆုံးဖြင့် သေးငယ်ပြီး လျင်မြန်သော model။
Model idMiMo-V2.5-W8A16- Context
- 256K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $0.50 / $0.125 / $2.00
- Uncensored
Hy3
W8A16Tencent · 295B MoE · 21B active · 8-bit
တိုတောင်းသော စကားပြောပုံစံ အဖြေများအတွက် ဈေးသက်သာသော model။
Model idHy3-W8A16- Context
- 256K
- Input
- စာသား ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- ထည့်သွင်း / cache / ထုတ်ပေး (1M လျှင်)
- $0.50 / $0.125 / $2.00
Shannon models input နှင့် output အတွက် ဈေးနှုန်းတစ်ခုတည်း
-
UncensoredShannon 1.6 Lite
နေ့စဉ်လုပ်ငန်းများအတွက် လျင်မြန်ပြီး ထိရောက်သော ပြန်လည်ဖြေကြားချက်များ
Model idshannon-1.6-lite- Context
- 192K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Web search
- Streaming
- ဈေးနှုန်း / 1M tokens
- $3.90
-
UncensoredShannon 1.6 Pro
ရှုပ်ထွေးသော ပြဿနာများအတွက် အဆင့်မြင့် reasoning
Model idshannon-1.6-pro- Context
- 192K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- ဈေးနှုန်း / 1M tokens
- $7.80
-
UncensoredShannon 2 Lite
Shannon 2 Lite- မြင်နိုင်သော reasoning trace ပါသည့် လျင်မြန်သော think-draft-review pipeline။ နေ့စဉ် chat၊ အကျဉ်းချုပ်များနှင့် Q&A အတွက်။
Model idshannon-2-lite- Context
- 192K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- ဈေးနှုန်း / 1M tokens
- $3.90
-
UncensoredShannon 2 Pro
Shannon 2 Pro- ခွဲခြမ်းစိတ်ဖြာမှု၊ ရှည်လျားသော ရေးသားမှုနှင့် အဆင့်များစွာပါ reasoning အတွက် ပိုမိုနက်ရှိုင်းသော think-draft-review အဆင့်များ။
Model idshannon-2-pro- Context
- 192K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- ဈေးနှုန်း / 1M tokens
- $5.85
-
UncensoredShannon 3
လျှော့ဈေး တစ်ထပ်တည်းဖြင့် လျင်မြန်သော reasoning ပါသည့် နောက်ဆုံးမျိုးဆက် Shannon model။
Model idshannon-3- Context
- 192K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- ဈေးနှုန်း / 1M tokens
- $3.35
-
UncensoredShannon 3 Pro
ရှုပ်ထွေးပြီး အဆင့်များစွာပါသော အလုပ်များအတွက် စွမ်းရည်ပိုမြင့်သော Shannon 3 အဆင့်။
Model idshannon-3-pro- Context
- 192K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- ဈေးနှုန်း / 1M tokens
- $3.35
-
UncensoredShannon 3.1
ကျွန်ုပ်တို့၏ ကိုယ်ပိုင် hardware ပေါ်ရှိ Shannon 3 ဖြစ်ပြီး rate gate မရှိဘဲ အမြန်နှုန်းအပြည့်ဖြင့် streaming လုပ်ပါသည်။
Model idshannon-3.1- Context
- 192K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- ဈေးနှုန်း / 1M tokens
- $3.35
-
UncensoredShannon 3.1 Pro
ခက်ခဲသော မေးခွန်းများအတွက် နောက်ခံ သုတေသနအဆင့်ပါသည့် အမြန်နှုန်းအပြည့် နက်ရှိုင်းသော reasoning။
Model idshannon-3.1-pro- Context
- 192K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- ဈေးနှုန်း / 1M tokens
- $3.35
-
UncensoredShannon 3.5
One streaming answer that thinks, searches, draws charts and diagrams and writes files inline.
Model idshannon-3.5- Context
- 192K
- Input
- စာသား + ပုံ ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Streaming
- ဈေးနှုန်း / 1M tokens
- $3.35
-
UncensoredShannon Coder 1
Code နှင့် tool များ အထူးပြု- agentic ပြင်ဆင်ခြင်း၊ ရှည်လျားသော ဖိုင်များနှင့် တင်းကျပ်သော tool loop များ။
Model idshannon-coder-1- Context
- 128K
- Input
- စာသား ထည့်သွင်းနိုင်သည်
- Structured output
- JSON schema
- Tools
- Reasoning
- Streaming
- ဈေးနှုန်း / 1M tokens
- $8.00
စာရွက်စာတမ်းများ ကြည့်ရှုရန်
- လျင်မြန်စွာ စတင်ရန် Key တစ်ခု ဖန်တီးပါ၊ သင့် SDK ကို Shannon သို့ ညွှန်ပါ၊ ပထမဆုံး request ကို ပို့ပါ။
- Model များနှင့် ဈေးနှုန်း Model id တစ်ခုစီ၏ context window၊ ထည့်သွင်းနိုင်သောအမျိုးအစားများနှင့် 1M tokens လျှင် ဈေးနှုန်းကို ဖော်ပြထားပါသည်။
- အတည်ပြုမှု Endpoint အားလုံးအတွက် key တစ်ခုတည်း- Bearer header သို့မဟုတ် x-api-key ဖြင့် အသုံးပြုနိုင်ပါသည်။
- စตรีမင်း Reasoning delta များပါသော server-sent events ဖြစ်ပြီး usage အချက်အလက်ကို နောက်ဆုံး chunk တွင် ရရှိပါသည်။
- လုပ်ဆောင်ချက် ခေါ်ဆိုမှု Tool များကို သတ်မှတ်ပါ၊ model က ခေါ်ခိုင်းပါ၊ tool_choice ဖြင့် ထိန်းချုပ်ပါ။
- ဖွဲ့စည်းထားသော အထွက် JSON object အဖြစ် သို့မဟုတ် သင့် JSON schema အတိုင်း အဖြေများ။
- Reasoning effort Reasoning stream ကို ဖတ်ပါ။ Hosted open-weight model များတွင် effort အဆင့်ကို သတ်မှတ်နိုင်ပါသည်။
- Prompt caching Hosted model များသည် ထပ်ခါထပ်ခါ ပါသော prompt prefix များကို input ဈေး၏ 25% ဖြင့် အလိုအလျောက် cache လုပ်ပါသည်။
- Responses API တူညီသော model နှင့် key ပေါ်တွင် OpenAI Responses ပုံစံ။
- Anthropic သင့် Anthropic SDK နှင့် Messages code ကို ဆက်သုံးပါ။ base URL ကိုသာ ပြောင်းပါ။
- CLI coding tools Claude Code နှင့် Codex CLI တို့ကို နောက်ကွယ်ရှိ model အဖြစ် Shannon ဖြင့် အသုံးပြုခြင်း။
- အမှားကိုင်တွယ်မှု Status code များ၊ error အမျိုးအစားများနှင့် error body ၏ ပုံစံကို ဖော်ပြထားပါသည်။
တည်ဆောက်ရန် အဆင်သင့်ပါသလား?
အကောင့်တိုင်းတွင် အခမဲ့အဆင့် ပါဝင်ပါသည်။ သင့် key ကို တစ်ချက်နှိပ်ရုံဖြင့် ရနိုင်ပါသည်။